Last Comment Bug 689966 - Custom Page has a double entry for Start Page option
: Custom Page has a double entry for Start Page option
Status: VERIFIED FIXED
[pushed]
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: ARM Android
: -- normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 658278
  Show dependency treegraph
 
Reported: 2011-09-28 09:14 PDT by Cristian Nicolae (:xti)
Modified: 2011-09-30 05:32 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (43.08 KB, image/png)
2011-09-28 09:14 PDT, Cristian Nicolae (:xti)
no flags Details
patch (1.71 KB, patch)
2011-09-28 13:54 PDT, Matt Brubeck (:mbrubeck)
wjohnston2000: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Cristian Nicolae (:xti) 2011-09-28 09:14:43 PDT
Created attachment 563091 [details]
screenshot

Build ID: Mozilla/5.0 (Android;Linux armv7l;rv:9.0a2)Gecko/20110928
Firefox/9.0a2 Fennec/9.0a2
Device: Samsung Galaxy S
OS: Android 2.2

Build ID: Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20110928
Firefox/10.0a1 Fennec/10.0a1
Device: Samsung Galaxy S
OS: Android 2.2

Steps to reproduce:
1. Open Fennec App
2. Browse to www.google.com
3. Go to Preferences > Start Page 
4. Select Custom Page
5. Open a new tab and go to www.mozilla.com
6. Repeat step 3

Expected result:
After step 4, no Start Page entry is duplicated.

Actual result:
Custom Page option is listed twice as you can see on the attached screenshot.
Comment 1 Matt Brubeck (:mbrubeck) 2011-09-28 13:54:40 PDT
Created attachment 563166 [details] [diff] [review]
patch

Bug 658278 removed the prefs-languages element, but the preferences initialization code was still looking for it, so it ended up initializing stuff more than once.
Comment 2 Matt Brubeck (:mbrubeck) 2011-09-28 13:56:32 PDT
Nominating for tracking-fennec.  This regression affects Firefox 9 and may cause other subtler bugs.  We should request approval to land this in Aurora when it has been reviewed and pushed.
Comment 3 Wesley Johnston (:wesj) 2011-09-28 15:46:52 PDT
Comment on attachment 563166 [details] [diff] [review]
patch

Thanks matt!
Comment 5 Matt Brubeck (:mbrubeck) 2011-09-28 17:41:29 PDT
Comment on attachment 563166 [details] [diff] [review]
patch

Requesting approval for Aurora 9.  This fixes a regression introduced in Firefox 9.  The symptoms are not serious, but they are user-visible, and the nature of the regression makes me think there may be more subtle symptoms that we haven't found yet.  The fix is mobile-only, very localized, and safe.  It removes a attempt to reference a non-existent XUL element.
Comment 6 Michael Wu [:mwu] 2011-09-29 01:36:54 PDT
https://hg.mozilla.org/mozilla-central/rev/7cc26b83a57c
Comment 7 Matt Brubeck (:mbrubeck) 2011-09-29 16:00:41 PDT
Pushed to Aurora for Firefox 9:
https://hg.mozilla.org/releases/mozilla-aurora/rev/b9a6752584aa
Comment 8 Cristian Nicolae (:xti) 2011-09-30 05:32:12 PDT
Verified fixed on:
Mozilla/5.0 (Android;Linux armv7l;rv:9.0a2)Gecko/20110930
Firefox/9.0a2 Fennec/9.0a2
Device: Samsung Galaxy S
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.